std::ranges::take_while_view::sentinel(3)

NAME
std::ranges::take_while_view::sentinel - std::ranges::take_while_view::sentinel

Synopsis
   template< bool Const > (since C++20)
   class /*sentinel*/; (exposition only*)
   The return type of take_while_view::end.
   The type /*sentinel*/<true> is returned by the const-qualified overload. The type
   /*sentinel*/<false> is returned by the non-const-qualified overload.

Member types
   Member type Definition
   Base (private) const V if Const is true, otherwise V.
                  (exposition-only member type*)
   Data members
   Member object Definition
                     A sentinel of type std::sentinel_t<Base> that represents the end
   end_ (private) of the underlying view.
                     (exposition-only member object*)
   parent_ (private) A pointer Pred* to the predicate.
                     (exposition-only member object*)

Member functions
   constructor constructs a sentinel
                 (public member function)
   base returns the underlying sentinel
   (C++20) (public member function)

Non-member functions
   operator== compares a sentinel with an iterator returned from take_while_view::begin
   (C++20) (function)